/* -------------------------------------------------------------------------- */
/* Layer de base, ne pas touché !!! ----------------------------------------- */
/* -------------------------------------------------------------------------- */

@layer base {
  /* Définir 1rem à 10px */
  html {
    font-size: 62.5%;
    /* 62.5% de 16px = 10px */
  }

  /* 1. Réinitialisation des marges et des espacements */
  *,
  *::before,
  *::after {
    margin: 0;
    /* Supprime les marges par défaut */
    padding: 0;
    /* Supprime les espacements par défaut */
    box-sizing: border-box;
    /* Inclut le padding et la bordure dans les dimensions de l'élément */
  }

  /* 2. Définition des styles de base */
  body {
    font-family: 'Itim', cursive;

    /* Police par défaut */
    background-color: #111111;
    /* Couleur de fond par défaut */
    color: #cccccc;
    /* Couleur du texte par défaut */
    line-height: 1.5;
    /* Interligne par défaut pour le texte */
    cursor: grab;
  }

  /* 3. Réinitialisation des titres */
  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    margin: 0;
    /* Supprime les marges par défaut des titres */
  }

  /* 4. Réinitialisation des listes */
  ul,
  ol {
    list-style: none;
    /* Supprime les puces et les numéros */
  }

  /* 5. Réinitialisation des liens */
  a {
    text-decoration: none;
    /* Supprime le soulignement par défaut des liens */
    color: inherit;
    /* Hérite de la couleur du texte */
  }
  a:hover {
    cursor: grabbing;
  }

  /* 6. Réinitialisation des images */
  img {
    max-width: 100%;
    /* Rendre les images réactives */
    height: auto;
    /* Maintenir les proportions des images */
  }

  /* 7. Réinitialisation des tableaux */
  table {
    border-collapse: collapse;
    /* Supprime les espaces entre les cellules */
    width: 100%;
    /* Rendre les tables réactives */
  }

  /* 8. Réinitialisation des boutons */
  button {
    font-family: 'Itim', cursive;

    background: none;
    /* Supprime les styles par défaut des boutons */
    border: none;
    /* Supprime les bordures par défaut des boutons */
    cursor: pointer;
    /* Change le curseur au survol */
  }
}

/* -------------------------------------------------------------------------- */
/* HEADER ------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */

.menu-toggle {
  display: none;
  position: fixed;
  top: 15px;
  right: 15px;
  z-index: 2000;
  background: #c84773;
  color: white;
  border: none;
  padding: 10px 15px;
  font-size: 1.5rem;
  border-radius: 5px;
  cursor: pointer;
}

.menu-toggle.open {
  background: #60a5fa;
}

@media (max-width: 768px) {
  .menu-toggle {
    display: block;
  }

  header {
    display: none;
  }

  header.open {
    display: block;
  }
}

header {
  position: fixed;
  width: 100vw;
  left: 0;
  top: 0;
  z-index: 1000;
  transition: 0.5s all;
}

nav {
  padding: 1%;
  font-size: 2rem;
}

nav > div {
  width: 75%;
  margin: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header_faIcones {
  display: flex;
  width: 10%;
  font-size: clamp(1rem, 1.5vw, 1.5em);
  gap: 40px;
  justify-content: space-between;
}

.header_faIcones > a {
  transition: 0.5 all;
  font-size: clamp(1rem, 5vw, 1.5em);
}

.header_faIcones > a:hover {
  color: #c84773;
}

.header_list {
  display: flex;
  align-items: center;
  gap: 30px;
  text-transform: uppercase;
  font-size: 0.9em;
}

.header_list > li {
  transition: 0.5s all;
}

.header_list > li:nth-child(6) {
  color: white;
}

.header_list > li:hover {
  color: #c84773;
}

.header_list > li:nth-last-child(1) {
  padding: 10px 15px;
  border-radius: 5px;
  background-color: red;
  text-transform: none;
}

.header_list > li:nth-last-child(1):hover {
  background-color: #60a5fa;
  color: white;
}

@media (max-width: 1024px) {
  nav > div {
    width: 100%;
    padding: 0 30px;
  }
}
@media (max-width: 768px) {
  header {
    background-color: #111111;
    padding: 30px 0;
  }

  nav > div {
    flex-direction: column;
    text-align: center;
  }

  .header_faIcones {
    width: 100%;
    font-size: 100px;
    justify-content: center;
    margin-bottom: 0.3em;
  }

  .header_list {
    flex-direction: column;
  }
}

/* -------------------------------------------------------------------------- */
/* FOOTER ------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */

footer {
  font-size: 2em;
  display: flex;
  flex-direction: column;
  gap: 70px;
  padding: 40px 0;
  color: white;
  border-top: 1px solid rgb(61, 61, 61);
}

.footer {
  justify-content: space-between;
  padding: 0 10%;
}

.footer,
.second_footer {
  display: flex;
  margin: auto;
}

.footer > div {
  width: 35%;
}

.footer > div > h3 {
  color: #c84773;
}

.footer > div > h3 > span {
  color: #cccccc;
}

.footer > div > p {
  margin-top: 10px;
  line-height: 25px;
}

.footer > ul > h3 {
  margin-bottom: 10px;
}

.footer > ul > li {
  transition: 0.5s all;
}

.footer_utils_links > li:hover {
  color: #c84773;
}
.footer_reseaux > li:hover {
  color: #60a5fa;
}

.second_footer {
  justify-content: space-between;
  font-size: 0.8em;
}

@media (max-width: 769px) {

  .footer,
  .second_footer {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: clamp(15px, 5vw, 30px);
    width: 100%;
  }

  .footer > div,
  .footer > ul {
    width: 100%;
  }

  .footer > div > p {
    margin: auto;
    width: 90%;
  }

  .footer_utils_links,
  .footer_reseaux {
    padding: 0;
  }

  .second_footer p {
    width: 90%;
  }
}

/* -------------------------------------------------------------------------- */
/* UTILS--------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */

.spark {
  position: fixed;
  width: 6px;
  height: 6px;
  background: white;
  border-radius: 50%;
  pointer-events: none;
  opacity: 1;
  transform: translate(-50%, -50%);
  animation: fadeOut 0.1s linear forwards;
}

@keyframes fadeOut {
  to {
    opacity: 0;
    transform: translate(-50%, -50%) scale(2);
  }
}

/* -------------------------------------------------------------------------- */
/* INDEX -------------------------------------------------------------------- */
/* MAIN --------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */

.main_hero img {
  width: 100%;
  height: 100vh;
  object-fit: cover;
  object-position: center;
  display: block;
}

/* -------------------------------------------------------------------------- */
/* LORE --------------------------------------------------------------------- */
/* MAIN --------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */

.main_lore_chapter_section {
  padding: 0 100px;
}
.main_lore_chapter_section > div:nth-child(2),
.main_lore_chapter_section > div:nth-child(4) {
  flex-direction: row-reverse;
  text-align: end;
}

.main_lore_preLore {
  text-align: center;
  margin: 50px 0;
}

.main_lore_preLore > h1 {
  text-transform: uppercase;

  font-size: 6em;
}
.main_lore_preLore > h2 {
  font-size: 2em;
  margin-bottom: 1.5em;
}

.main_lore_preLore > h1 span {
  color: #c84773;
}

.main_lore_preLore > span {
  display: block;
  width: 100px;
  height: 5px;
  background: #c84773;
  border-radius: 15px;
  margin: auto;
}
.main_lore_chapter_img {
  width: 40%;
}

.main_lore_chapter_content_block {
  width: 60%;
}

.main_lore_chapter {
  display: flex;
  align-items: center;
  margin: 100px 0;
  gap: 50px;
}

.main_lore_title {
  color: #c84773;
}

.main_lore_title {
  font-size: 1.6em;
  text-transform: uppercase;
}

.main_lore_subtitle {
  font-size: 5em;
}

.main_lore_content {
  font-size: 2em;
}

@media (max-width: 1639px) {
  .main_lore_chapter_img {
    width: 70% !important;
  }

  .main_lore_chapter_section {
    padding: 0;
  }

  .main_lore_chapter {
    flex-direction: column-reverse !important;
    text-align: center !important;
    margin: 50px;
    border-bottom: 1px solid white;
    padding-bottom: 70px;
  }
  .main_lore_chapter:nth-child(4) {
    border-bottom: none;
  }
  .main_lore_chapter_img {
    width: 100%;
  }

  .main_lore_chapter_content_block {
    width: 100%;
  }

  .main_lore_title {
    font-size: 5em;
  }
  .main_lore_subtitle {
    font-size: 3em;
  }
  .main_lore_content {
    padding: 0 150px;
  }
}

@media (max-width: 945px) {
  .main_lore_content {
    padding: 0;
  }
  .main_lore_chapter_img {
    width: 100% !important;
  }
}

/* -------------------------------------------------------------------------- */
/* REGLES ------------------------------------------------------------------- */
/* MAIN --------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */

.main_regles_search {
  position: relative;
  width: 100%;
  max-width: 350px;
  margin: auto;
}

.main_regles_search .icon {
  position: absolute;
  left: 12px;
  top: 50%;
  transform: translateY(-50%);
  width: 18px;
  opacity: 0.6;
  pointer-events: none;
}

.main_regles_search input {
  width: 100%;
  padding: 10px 12px 10px 40px;
  border-radius: 8px;
  background: #1a1a1a;
  border: 1px solid rgba(255, 255, 255, 0.1);
  color: white;
  font-size: 2em;
}

.main_regles_search input:focus {
  border-color: #c84773;
  outline: none;
}

.icon {
  width: 18px;
  filter: invert(70%) sepia(80%) saturate(300%) hue-rotate(300deg);
}

.main_regles_container {
  padding-bottom: 30px;
}

.main_regles_cat {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 15px;
  margin: 6rem 0;
}

.main_regles_cat button {
  color: #cccccc;
  background-color: #2e2e2e;
  border-radius: 20px;
  padding: 10px 20px;
  font-size: 2em;
}

.main_content_card {
  background-color: #2e2e2e;
  border-radius: 15px;
  padding: 2%;
  margin: 2%;
}

.main_content_card h1 {
  font-size: 3em;
  color: #c84773;
}

.main_content_card > h1 > span {
  color: white;
}

.main_content_card ul {
  list-style-type: circle;
  margin-left: 20px;
  font-size: 2em;
  margin-top: 10px;
}

/* -------------------------------------------------------------------------- */
/* BOUTIQUE------------------------------------------------------------------ */
/* MAIN --------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */

.main_boutique_container {
  margin: 50px 0;
}

.main_boutique_cards {
  display: flex;
  width: 90%;
  margin: auto;
  text-align: center;
  gap: 30px;
}

@media (max-width: 1349px) {
  .main_boutique_cards {
    flex-direction: column;
    width: 50%;
    margin: 0 auto;
  }
  .main_boutique_card_img_container img {
    width: 100%;
    min-height: 50vh;
  }
}

@media (max-width: 869px) {
  .main_boutique_cards {
    width: 80%;
  }
}

@media (max-width: 1220px) {
  .boutique_modal_center {
    width: 90%;
  }
  .boutique_modal_center * {
    font-size: 0.8em;
  }

  .boutique_block__button {
    width: 100% !important;
  }
}

.main_boutique_card_img_container img {
  aspect-ratio: 2/1;
  height: 35vh;
}

.main_boutique_card {
  background-color: #2e2e2e;
  border-radius: 15px;
  display: flex;
  flex-direction: column;
}

.main_boutique_card:nth-child(3) {
  margin-top: auto;
}

.main_boutique_card img {
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
}

.main_boutique_list {
  text-align: left;
  font-size: 1.8em;
  padding: 5%;
}

.main_boutique_btn button {
  font-size: 2em;
  text-transform: uppercase;
  color: white;
  background-color: black;
  padding: 20px 40px;
  border-radius: 10px;
  transition: 0.5s all;
}

.main_boutique_btn button:hover {
  background: #c84773;
}

.main_bootique_card_price {
  font-size: 1.5em;
}

.main_boutique_card_content {
  padding: 20px 0;
}

/* -------------------------------------------------------------------------- */
/* BOUTIQUE------------------------------------------------------------------ */
/* MODAL--------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */

.boutique_blur_layer {
  position: fixed;
  inset: 0;
  backdrop-filter: blur(20px);
  background: rgba(0, 0, 0, 0.3);
  z-index: 9998;
}

.boutique_modal_center {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 9999;
}

.boutique_block__button {
  text-align: center;
}

.boutique_block {
  font-size: 1.7em;
  background-color: #202020;
  border: 1px solid #c84773;
  border-radius: 15px;
}

.boutique_block__section {
  padding: 20px;
  margin: 30px;
  border-radius: 10px;
  background-color: #2a2a2a;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.boutique_block__section:nth-child(1) {
  background-color: #202020;
}

.boutique_block > :nth-child(2),
.boutique_block > :nth-child(3),
.boutique_block > :nth-child(4) {
  border: 1px solid #c84773;
}

.boutique_block > :nth-child(1) .boutique_block__title {
  color: #c84773;
  text-transform: uppercase;
}
.boutique_block > :nth-child(2) .boutique_block__title,
.boutique_block > :nth-child(3) .boutique_block__title,
.boutique_block > :nth-child(4) .boutique_block__title {
  color: rgb(246, 255, 0);
  text-transform: uppercase;
}
.boutique_block > :nth-child(2) .boutique_block__button,
.boutique_block > :nth-child(3) .boutique_block__button {
  color: white;
  background-color: #c84773;
  padding: 10px 20px;
  width: 50%;
  border-radius: 10px;
  font-size: 1.1em;
}

/* -------------------------------------------------------------------------- */
/* MEDIAS-------------------------------------------------------------------- */
/* MAIN  -------------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */

/* Grille des vidéos */
.main_media_videos {
  margin: 60px auto;
  width: 30%;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 30px;
  flex-wrap: wrap;
}

/* Miniature vidéo */
.video_thumb {
  width: 100%;
  height: 200px;
  background-size: cover;
  background-position: center;
  border-radius: 12px;
  cursor: pointer;
  position: relative;
  overflow: hidden;
  border: 1px solid #c84773;
}

/* Bouton play */
.video_thumb::after {
  content: '▶';
  font-size: 50px;
  color: white;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-shadow: 0 0 10px black;
}

.blur_open {
  opacity: 1;
}
.blur_close {
  opacity: 0;
}

.modal_open {
  opacity: 1;
  transform: translate(-50%, -50%) scale(1);
}

.modal_close {
  opacity: 0;
  transform: translate(-50%, -50%) scale(0.85);
}

/* Iframe dans le modal */
.video_modal iframe {
  width: 800px;
  max-width: 90vw;
  height: 450px;
  max-height: 50vh;
  border-radius: 12px;
}

.main_media_cat {
  width: 50%;
  margin: auto;
  display: flex;
  justify-content: center;
  gap: 50px;
}
.main_media_cat button {
  color: #cccccc;
  background-color: #2e2e2e;
  border-radius: 20px;
  padding: 10px 20px;
  font-size: 2em;
}
